<?php
namespace Ep\Gath\Plugin;

use Ep\Gath\Gath;
use Ep\Wp\Plugin\PluginInterface;
use Zend\Log\LoggerInterface;

/**
 * Osnovna klasa za Gath pluginove.
 *
 * @package Ep\Gath\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
abstract class AbstractGathPlugin implements PluginInterface
{
    /** @var Gath */
    protected $gath;
    /** @var LoggerInterface */
    protected $logger;

    /**
     * AbstractGathPlugin constructor.
     *
     * @param Gath $gath
     * @param LoggerInterface $logger
     */
    public function __construct(Gath $gath, LoggerInterface $logger)
    {
        $this->gath   = $gath;
        $this->logger = $logger;
    }
}